Apachectl Segmentation Fault when SVN mods included

started at 29 Jan 2011 by AmigaAbattoir
  • AmigaAbattoir
    29 Jan 2011

    Hi, I tried recompiling apache 2.2.17 following your guide, and when I try to include dav_svn_module or authz_svn_module, apachectl throws:

    /usr/sbin/apachectl: line 78: 406 Segmentation fault $HTTPD -k $ARGV

    Do I need to recompile these mods or is there an easy fix?

  • Richard
    29 Jan 2011

    I've never tried myself, but one mistake I can think of is that the modules might be compiled for a different platform. Like 32 vs 64 bits compilation. Best bet is to recompile the modules, but I've never done that myself.

  • AmigaAbattoir
    29 Jan 2011

    If anyone has an idea how to do that? I tried following this guide (http://www.howtoforge.com/apache_subversion_repository) and I tried adding -arch x86_64 when doing config, but still run into that error.

  • AmigaAbattoir
    01 Jul 2014

    Better late than never... turns out that you have to use the same version APR and APR-Utils that Apache was compiled with. To get Subversion 1.8.9 to compile and spit out working mod_dav_svn.so and mod_authz_svn.so, I copied the apr and apr-util folders I used for Apache into the Subversion folder and configured with:

    ./configure --with-apxs=/usr/local/apache2/bin/apxs --with-apache-libexecdir=/usr/local/apache2/modules --prefix=/usr/local/ --with-apr=apr/ --with-apr-util=apr-util/

Reply

You must log in to post.